[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.Draw

Draw the image in the specified rectangle, within the client rectangle at specified offset, with the specified state and transparency

## Declaration

Source position: buttons.pp line 118

`public function TButtonGlyph.Draw(`
`Canvas: TCanvas;`
`const Client: TRect;`
`const Offset: TPoint;`
`State: TButtonState;`
`Transparent: Boolean;`
`BiDiFlags: LongInt`
`):TRect;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .